:root {
  --color-white: rgba(255, 255, 255, 0.9);
  --color-black: rgba(0, 0, 0, 1);
}

/* @font-face {
  font-family: "ABCDiatype";
  src: url(/assets/fonts/ABCDiatypeCondensed-Medium-Trial.otf);
} */

html,
body {
  /* font-family: Helvetica, sans-serif;
  font-weight: 400;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: inherit;
   */
  font-family: "Source Code Pro", monospace;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 14px;
  line-height: 1;
  margin: 0;
  padding: 0;
  height: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

* {
  margin: 0;
  padding: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

*::-webkit-scrollbar {
  display: none;
}

html {
  /* scroll-behavior: smooth; */
  scrollbar-width: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
  font-size: inherit;
  font-weight: inherit;

  color: inherit;
}

p:not(:last-of-type) {
  padding-bottom: 1em;
}

ul,
ol {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

button {
  cursor: pointer;
  border: none;
  color: inherit;
  font: inherit;
  background: none;
  appearance: none;
  transition: color 0.3s;
}

main,
ul {
  width: 100%;
  height: auto;
}

.title-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.title {
  padding: 1px 2px 3px 2px;
  /* background-color: var(--color-black); */
  width: 100%;
  height: fit-content;
  position: fixed;
  z-index: 10;
}

li {
  display: flex;

  & .project-title {
    /* background-color: var(--color-black); */
    padding: 0px 4px 0px 2px;
    width: fit-content;
    height: fit-content;
    text-wrap: nowrap;
    position: sticky;
    top: 18px;
    z-index: 1;
  }

  & .iframe-wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
    position: relative;
    cursor: ne-resize;
    background-color: var(--color-white);

    & .cover {
      position: absolute;
      inset: 0;
      width: 100%;
      height: 100%;
      display: block;
      image-rendering: pixelated;
      z-index: 2;
    }
    & .project-iframe-container {
      width: 100%;
      display: flex;
    }

    & .project-iframe {
      width: 100%;

      /* border: 1px solid var(--color-black); */

      iframe {
        width: 100%;
        height: 100%;
        border: none;
        background-color: white;
      }
    }
  }

  & .infos-container {
    display: flex;
    flex-direction: column;
    position: sticky;
    top: 18px;
    height: fit-content;

    & .infos-title {
      display: flex;
      background-color: var(--color-black);
      padding: 0px 2px 0px 4px;
      width: 100%;
      height: fit-content;
      text-wrap: nowrap;
    }
    & .skill-container,
    .collab-container {
      display: flex;
      flex-direction: row;
      justify-content: end;
      /* transform: translateY(-100%); */
    }
    & .blur {
      display: none;
      background-color: var(--color-black);
      padding: 0px 2px;
      width: fit-content;
      height: fit-content;
      text-wrap: nowrap;
      position: sticky;
      top: 0px;
      z-index: 1;
    }
  }
}

/* ✅ Mobile: max-width 900px  */
@media (max-width: 900px) {
  li {
    display: flex;
    flex-direction: column;

    & .project-title {
      /* background-color: var(--color-black); */
      padding: 0px 2px;
      width: fit-content;
      height: fit-content;
      text-wrap: nowrap;
      position: sticky;
      top: 32px;
      z-index: 10;
    }

    & .iframe-wrapper {
      display: flex;
      width: 100%;
      height: 100%;
      aspect-ratio: 2/3;
      position: relative;
      cursor: default;
    }

    & .infos-container {
      display: flex;
      flex-direction: row;
      position: sticky;
      top: 32px;
      height: fit-content;
      justify-content: end;
      z-index: 10;

      & .skill-container,
      .collab-container {
        display: flex;
        justify-content: end;
        /* transform: translateY(-100%); */
      }
    }
  }
}
